// stdafx.h : include file for standard system include files,
// or project specific include files that are used frequently, but
// are changed infrequently
//

#pragma once

#include "targetver.h"

#include <stdio.h>
#include <tchar.h>

#include <atlcoll.h>

#define _ATL_CSTRING_EXPLICIT_CONSTRUCTORS      // some CString constructors will be explicit

#include <atlbase.h>
#include <atlstr.h>

// TODO: reference additional headers your program requires here
// Boost defines
#define BOOST_ALL_NO_LIB

#define BOOST_WAVE_SUPPORT_THREADING 1
#define BOOST_HAS_THREADS 1
#define BOOST_WAVE_SUPPORT_PRAGMA_ONCE 1
#define BOOST_WAVE_EMIT_PRAGMA_DIRECTIVES 1
#define BOOST_WAVE_SUPPORT_VARIADICS_PLACEMARKERS 1

#include <boost/spirit/include/classic_core.hpp>
#include <boost/spirit/include/classic_ast.hpp>
#include <boost/spirit/include/classic_parse_tree.hpp>
#include <boost/spirit/include/classic_common.hpp>
#include <boost/spirit/include/classic_confix.hpp>
#include <boost/spirit/include/classic_distinct.hpp>
#include <boost/spirit/include/classic_lists.hpp>
#include <boost/spirit/include/classic_escape_char.hpp>
#include <boost/spirit/include/classic_symbols.hpp>

// Wave
#include <boost\wave\cpp_context.hpp>
#include <boost\wave\cpplexer\cpp_lex_token.hpp>
#include <boost\wave\cpplexer\cpp_lex_iterator.hpp>
#include <boost\wave\cpplexer\cpp_lex_interface_generator.hpp>

#include <boost\wave\token_ids.hpp>
#include <boost\wave\util\macro_helpers.hpp>
#include <boost\wave\preprocessing_hooks.hpp>